<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>CSS Activity</title>
        <link rel="stylesheet" href="style.css">
    </head>
    <body>
        <!-- apply internal styling -->
        <style>
            .orange-text{
                color:orange;
            }
        </style>
        <!-- apply inline styling -->
        <p style="color:red">Apply inline styling here.</p>
        <p class="orange-text">Apply internal styling here.</p>
        <p class="yellow-text">Apply external styling here</p>
        <!-- change font size of h1 using type selector -->
        <h1>CSS Introduction Activity</h1>
        <!-- change to uppercase using id selector -->
        <h2 id="upper">The following are things you will learn in this bootcamp:</h2>
        <h2>Languages to be Learned</h2>
        <div>
            <ol>
                <li class="learn">Hypertext Markup Language</li>
                <li class="learn">Cascading Style Sheet</li>
                <li class="learn">JavaScript</li>
            </ol>
        </div>
        <h2>Tools to be Used</h2>
        <div>
            <ol>
                <!-- change border using attribute selector -->
                <li value="1">Sublime Text</li>
                <li value="2">Postman</li>
                <li value="3">Heroku</li>
                <li value="4">Gitlab</li>
            </ol>
        </div>
        <h2>Other Things to be Learned</h2>
        <!-- change image dimension using descendant selector -->
        <figure>
            <img src="https://upload.wikimedia.org/wikipedia/commons/thumb/9/99/Unofficial_JavaScript_logo_2.svg/480px-Unofficial_JavaScript_logo_2.svg.png" alt="JavaScript Logo">
        </figure>
        <!-- change list style type using adjacent sibling and letter spacing using child selector -->
        <ol>
            <li>Node.js</li>
            <li>Express.js</li>
            <li>React.js</li>
            <li>MongoDB</li>
        </ol>
        <!-- align center using general sibling selector -->
        <p>Web development is a continuous process. Never stop learning and always look for ways to innovate</p>
    </body>
</html>